-- I add ids manually, so I can better see what data are related

-- LANGUAGE
-- 0 - english
-- 1 - german
-- 2 - spanish
-- 3 - czech

-- PROFICIENCY
-- 0 - A1
-- 1 - A2
-- 2 - B1
-- 3 - B2
-- 4 - C1
-- 5 - C2
-- 6 - C1N
-- 7 - C2N

-- USER
-- admin
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (1, 'New York', 'USA', 123, 'Main Street', '10001', 'john.doe@example.com', 'John', 'Doe', 'password123', 'ADMIN', 'johndoe');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (2, 'Los Angeles', 'USA', 456, 'Broadway', '90012', 'jane.smith@example.com', 'Jane', 'Smith', 'password123', 'ADMIN', 'janesmith');
-- lecturer
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (3, 'Los Angeles', 'USA', 456, 'Hollywood Blvd', '90028', 'jane.smith@example.com', 'Jane', 'Smith', 'password123', 'LECTURER', 'janesmith');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (4, 'London', 'UK', 789, 'Baker St', 'NW1 6XE', 'michael.jones@example.com', 'Michael', 'Jones', 'password123', 'LECTURER', 'michaeljones');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (5, 'Paris', 'France', 456, 'Champs-Élysées', '75008', 'claire.dupont@example.com', 'Claire', 'Dupont', 'password123', 'LECTURER', 'clairedupont');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (6, 'Berlin', 'Germany', 123, 'Friedrichstrasse', '10117', 'max.mustermann@example.com', 'Max', 'Mustermann', 'password123', 'LECTURER', 'maxmustermann');

-- student
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (7, 'New York', 'USA', 100, 'Fifth Ave', '10019', 'samuel.smith@example.com', 'Samuel', 'Smith', 'password123', 'STUDENT', 'samuelsmith');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (8, 'Los Angeles', 'USA', 789, 'Sunset Blvd', '90046', 'jessica.nguyen@example.com', 'Jessica', 'Nguyen', 'password123', 'STUDENT', 'jessicanguyen');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (9, 'London', 'UK', 234, 'Oxford St', 'W1C 1JG', 'peter.hansen@example.com', 'Peter', 'Hansen', 'password123', 'STUDENT', 'peterhansen');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (10, 'Paris', 'France', 15, 'Rue de Rivoli', '75001', 'lucie.dupont@example.com', 'Lucie', 'Dupont', 'password123', 'STUDENT', 'luciedupont');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (11, 'Berlin', 'Germany', 45, 'Unter den Linden', '10117', 'hans.schmidt@example.com', 'Hans', 'Schmidt', 'password123', 'STUDENT', 'hansschmidt');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (12, 'New York', 'USA', 456, 'Broadway', '10003', 'emma.jones@example.com', 'Emma', 'Jones', 'password123', 'STUDENT', 'emmajones');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (13, 'London', 'UK', 22, 'Baker Street', 'W1U 3BW', 'oliver.smith@example.com', 'Oliver', 'Smith', 'password123', 'STUDENT', 'oliversmith');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (14, 'Madrid', 'Spain', 18, 'Calle Mayor', '28013', 'laura.garcia@example.com', 'Laura', 'Garcia', 'password123', 'STUDENT', 'lauragarcia');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (15, 'Berlin', 'Germany', 32, 'Torstrasse', '10119', 'felix.mueller@example.com', 'Felix', 'Mueller', 'password123', 'STUDENT', 'felixmueller');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (16, 'Paris', 'France', 5, 'Rue de Rivoli', '75001', 'emilie.dupont@example.com', 'Emilie', 'Dupont', 'password123', 'STUDENT', 'emiliedupont');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (17, 'Bratislava', 'Slovakia', 123, 'Main Street', '12345', 'pkovac@example.com', 'Peter', 'Kovac', 'password123', 'STUDENT', 'peterkovac');
INSERT INTO domain_user (id, city, country, house_number, street, zip, email, first_name, last_name, password, user_type, username) VALUES (18, 'Brno', 'Czechia', 123, 'Main Street', '12345', 'prachar@example.com', 'David', 'Prachar', 'password123', 'STUDENT', 'davidprachar');

ALTER TABLE domain_user ALTER COLUMN id RESTART WITH 19;


-- language_proficiency
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (3, 0, 6);

INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (4, 0, 7);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (4, 2, 4);

INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (5, 2, 5);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (5, 3, 6);

INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (6, 1, 7);

INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (7, 0, 4);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (8, 1, 3);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (9, 0, 2);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (10, 3, 4);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (11, 3, 3);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (12, 2, 1);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (13, 2, 1);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (14, 2, 1);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (15, 1, 1);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (16, 1, 1);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (17, 1, 1);
INSERT INTO user_language_proficiency (user_id, language_proficiency_key, language_proficiency) VALUES (18, 1, 1);

-- COURSE
INSERT INTO course (id, capacity, finished, language, name, proficiency) VALUES (1, 25, false, 'GERMAN', 'German for Beginners', 'A1');
INSERT INTO course (id, capacity, finished, language, name, proficiency) VALUES (2, 25, false, 'ENGLISH', 'English A1', 'A1');
INSERT INTO course (id, capacity, finished, language, name, proficiency) VALUES (3, 25, false, 'ENGLISH', 'English A2', 'A2');
INSERT INTO course (id, capacity, finished, language, name, proficiency) VALUES (4, 25, false, 'ENGLISH', 'English B1', 'B1');
INSERT INTO course (id, capacity, finished, language, name, proficiency) VALUES (5, 25, false, 'ENGLISH', 'English B2', 'B2');
INSERT INTO course (id, capacity, finished, language, name, proficiency) VALUES (6, 25, false, 'SPANISH', 'Spanish B1', 'B1');

ALTER TABLE course ALTER COLUMN id RESTART WITH 4;


-- COURSE-USER
INSERT INTO user_course (student_id, course_id) VALUES (8, 1);
INSERT INTO user_course (student_id, course_id) VALUES (15, 1);
INSERT INTO user_course (student_id, course_id) VALUES (16, 1);
INSERT INTO user_course (student_id, course_id) VALUES (17, 1);
INSERT INTO user_course (student_id, course_id) VALUES (18, 1);

INSERT INTO user_course (student_id, course_id) VALUES (7, 2);

INSERT INTO user_course (student_id, course_id) VALUES (7, 3);
INSERT INTO user_course (student_id, course_id) VALUES (9, 3);

INSERT INTO user_course (student_id, course_id) VALUES (7, 4);
INSERT INTO user_course (student_id, course_id) VALUES (9, 4);

INSERT INTO user_course (student_id, course_id) VALUES (7, 5);
INSERT INTO user_course (student_id, course_id) VALUES (9, 5);




-- LECTURE
insert into lecture (id, capacity, course_id, lecture_from, lecture_to, lecturer_id, topic) values (1, 25, 1, '2023-05-02 10:00:00', '2023-05-02 12:00:00', 6, 'Introduction to course')
insert into lecture (id, capacity, course_id, lecture_from, lecture_to, lecturer_id, topic) values (2, 25, 1, '2023-05-04 10:00:00', '2023-05-04 12:00:00', 6, 'Begrüßung und Vorstellung')
insert into lecture (id, capacity, course_id, lecture_from, lecture_to, lecturer_id, topic) values (3, 25, 1, '2023-05-09 10:00:00', '2023-05-09 12:00:00', 6, 'Mein Wohnort und meine Wohnung')
insert into lecture (id, capacity, course_id, lecture_from, lecture_to, lecturer_id, topic) values (4, 25, 1, '2023-05-11 10:00:00', '2023-05-11 12:00:00', 6, 'Essen und Trinken')
insert into lecture (id, capacity, course_id, lecture_from, lecture_to, lecturer_id, topic) values (5, 25, 1, '2023-05-16 10:00:00', '2023-05-16 12:00:00', 6, 'Meine Familie und Freunde')

insert into lecture (id, capacity, course_id, lecture_from, lecture_to, lecturer_id, topic) values (6, 25, 5, '2023-05-01 10:00:00', '2023-05-01 12:00:00', 3, 'Introduction to course')
insert into lecture (id, capacity, course_id, lecture_from, lecture_to, lecturer_id, topic) values (7, 25, 5, '2023-05-06 10:00:00', '2023-05-06 12:00:00', 3, 'Repetition of english times')
insert into lecture (id, capacity, course_id, lecture_from, lecture_to, lecturer_id, topic) values (8, 25, 5, '2023-05-08 10:00:00', '2023-05-08 12:00:00', 3, 'Food')
insert into lecture (id, capacity, course_id, lecture_from, lecture_to, lecturer_id, topic) values (9, 25, 5, '2023-05-08 10:00:00', '2023-05-08 12:00:00', 3, 'School systems around the world')
insert into lecture (id, capacity, course_id, lecture_from, lecture_to, lecturer_id, topic) values (10, 25, 5, '2023-05-15 10:00:00', '2023-05-15 12:00:00', 3, 'Interview questions')

ALTER TABLE lecture ALTER COLUMN id RESTART WITH 10;


-- lecture-user
INSERT INTO lecture_students (students_id, lecture_id) VALUES (8, 1);
INSERT INTO lecture_students (students_id, lecture_id) VALUES (15, 1);
INSERT INTO lecture_students (students_id, lecture_id) VALUES (16, 1);
INSERT INTO lecture_students (students_id, lecture_id) VALUES (17, 1);
INSERT INTO lecture_students (students_id, lecture_id) VALUES (18, 1);

INSERT INTO lecture_students (students_id, lecture_id) VALUES (7, 6);
INSERT INTO lecture_students (students_id, lecture_id) VALUES (9, 6);
INSERT INTO lecture_students (students_id, lecture_id) VALUES (7, 7);
INSERT INTO lecture_students (students_id, lecture_id) VALUES (9, 7);